%define name cloop
%define version 0.68
%define release b3

%define kernel_rel	%(eval uname -r)

Name:		%{name}
Summary:	The Compressed Loopback Block Device
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System Environment/Kernel
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildRequires:	kernel-source
#BuildRequires:	kernel-config
BuildArchitectures: i586


%description
The compressed loopback block device kernel module
Cloop is the driver module for transparent access to a
ISO9660 filesystem contained in compressed volume.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT

make KERNEL_DIR=/usr/src/linux-%{kernel_rel}


##
## Install Section
##

%install
strip create_compressed_fs
strip compressloop
strip extract_compressed_fs

mkdir -p %{buildroot}/opt/berry
install -m 755 create_compressed_fs %{buildroot}/opt/berry
install -m 755 compressloop %{buildroot}/opt/berry
install -m 755 extract_compressed_fs %{buildroot}/opt/berry

mkdir -p %{buildroot}/lib/modules/%{kernel_rel}/kernel/drivers/block
install -m 644 cloop.o %{buildroot}/lib/modules/%{kernel_rel}/kernel/drivers/block


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/create_compressed_fs
/opt/berry/compressloop
/opt/berry/extract_compressed_fs
/lib/modules/%{kernel_rel}/kernel/drivers/block/cloop.o


##
## change log
##

%changelog
* Thu May 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to cloop_0.68-3.tar.gz
* Fri May 9 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://www.knopper.net/download/knoppix/)
- cloop_0.68-2.tar.gz
